*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Serif;
}

body{
	background-image: url('fondo.png');
	background-size: cover;
    background-position: center;   /* Centra la imagen */
    background-repeat: no-repeat;  /* Evita que se repita */
    height: 100vh;
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
}

.container{
    width:100%;
    display:flex;
	color:white;
    flex-direction:column;
    align-items:center;
    justify-content:center;

    text-align:center;
}

h1{
    font-family: 'Bungee', cursive;
    font-size:50px;
    color:#9509C8;
    text-shadow:
        0 0 10px #00cec9,
        0 0 20px #00cec9,
        0 0 40px #00cec9;
    margin-bottom:20px;
}

.scoreboard{
    display:flex;
    justify-content:center;
    align-items:center;
	color:white;
    gap:20px;
    margin:20px auto;
    flex-wrap:wrap;
}

.score-box{
    background:#2d3436;
    padding:15px;
    border-radius:15px;
    width:160px;
    box-shadow:0 0 10px rgba(0,0,0,0.5);
}

.score-box h3{
    margin-bottom:10px;
    color:#9509C8;
}

.score-box p{
    font-size:18px;
}

.menu button,
.restart{
    padding:10px 20px;
    margin:5px;
    border:none;
    border-radius:10px;
    cursor:pointer;
    background:#9509C8;
    color:white;
    font-size:16px;
    transition:0.3s;
}

.menu button:hover,
.restart:hover{
    background:#019875;
}

.status{
    margin-bottom:20px;
    font-size:20px;
}

.board{
    width:330px;
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:12px;
    justify-content:center;
    margin:20px auto;
}

.cell{
    width:100px;
    height:100px;
    background:#2d3436;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:40px;
    border-radius:10px;
    cursor:pointer;
    transition:0.3s;
}

.cell:hover{
    background:#3d3d5c;
}

.restart{
    margin-top:20px;
}

.modal{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.8);

    display:flex;
    justify-content:center;
    align-items:center;

    z-index:1000;
}

.modal-content{
    background:#2d3436;
    padding:40px;
    border-radius:20px;
    text-align:center;
    width:350px;
}

.modal-content h2{
    color:#c800ff;
    text-shadow:
        -2px -2px 0 #000,
         2px -2px 0 #000,
        -2px  2px 0 #000,
         2px  2px 0 #000,
         0px  0px 10px #c800ff;
    font-size:30px;
}

.modal-content input{
    width:100%;
    padding:12px;
    border:none;
    border-radius:10px;
    margin-bottom:20px;
    font-size:16px;
}

.buttons button{
    width:100%;
    margin-top:10px;
	border-radius:10px;
	background:#9509C8;
	color:white;
}